#!/bin/sh

case "$1" in
  normal)
    echo 2 > /etc/reboot-cookie
    busybox mkdir -p -m 0755 /cache/recovery
    busybox echo --backup_conf=/cache/config.bin >/cache/recovery/command
    reboot
    ;;
  force)
    echo 2 > /etc/reboot-cookie
    busybox mkdir -p -m 0755 /cache/recovery
    busybox echo --backup_conf=/cache/config.bin >/cache/recovery/command
    sys_reboot recovery
    ;;
  *)
    echo "Unknown param" >&2
    exit 1
    ;;
esac

exit 0
