#! /system/bin/sh

# if batt status is not good,record it
CHARGE_DEBUG_FILE=/charge_debug
if [ "`uci get battery.battery_mgr.health_state`" != "1" ]
then
  uci show battery > $CHARGE_DEBUG_FILE
  uci show usb >> $CHARGE_DEBUG_FILE
  cat /sys/class/power_supply/battery/temp >> $CHARGE_DEBUG_FILE
  cat /sys/class/power_supply/battery/voltage_now >> $CHARGE_DEBUG_FILE
else
  rm -f $CHARGE_DEBUG_FILE
fi

case "$1" in
  normal)
    shutdown -h now
    ;;
  force)
    sys_shutdown
    ;;
  *)
    echo "Unknown param" >&2
    exit 1
    ;;
esac

exit 0
